--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: We create a new Ruby module that can be included by BotModules that want to provide remote interfaces
constants: []

full_name: "::Bot::Plugins::RemoteBotModule"
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: cleanup
- !ruby/object:RI::MethodSummary 
  name: remote_cleanup
- !ruby/object:RI::MethodSummary 
  name: remote_map
name: RemoteBotModule
superclass: 
